
CephFS - Bug #54375

mgr/volumes: The 'mode' argument is not honored on idempotent subvolume creation of existing

subvolume

02/23/2022 09:39 AM - Kotresh Hiremath Ravishankar

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Nikhilkumar Shelke   

Category:    

Target version:    

Source:  ceph-qa-suite:  

Tags:  Component(FS): mgr/volumes

Backport: quincy, pacific Labels (FS):  

Regression: No Pull request ID: 45290

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

The 'mode' argument is not honored on idempotent subvolume creation of existing subvolume.

Steps to reproduce:

1. Create a subvolume with mode 0777

2. Create the same subvolume (idempotent operation) with mode 0766

Verify the mode on the 'subvolume path', it's still 0777 instead of 0766

Idempotent subvolume creation should honor 'mode' argument.

Related issues:

Copied to CephFS - Backport #54573: pacific: mgr/volumes: The 'mode' argument... Resolved

Copied to CephFS - Backport #54574: quincy: mgr/volumes: The 'mode' argument ... Resolved

History

#1 - 02/24/2022 09:54 AM - Kotresh Hiremath Ravishankar

- Assignee set to Nikhilkumar Shelke

#2 - 03/08/2022 09:25 AM - Nikhilkumar Shelke

- Status changed from New to Fix Under Review

#3 - 03/15/2022 06:51 PM - Ramana Raja

- Backport set to quincy, pacific

#4 - 03/16/2022 03:54 AM - Venky Shankar

- Status changed from Fix Under Review to Pending Backport

#5 - 03/16/2022 03:54 AM - Venky Shankar

- Pull request ID set to 45290

#6 - 03/16/2022 03:55 AM - Backport Bot

- Copied to Backport #54573: pacific: mgr/volumes: The 'mode' argument is not honored on idempotent subvolume creation of existing subvolume

added
#7 - 03/16/2022 03:55 AM - Backport Bot

- Copied to Backport #54574: quincy: mgr/volumes: The 'mode' argument is not honored on idempotent subvolume creation of existing subvolume

added

#8 - 06/20/2022 08:48 AM - Nikhilkumar Shelke

- Status changed from Pending Backport to Resolved
